---
title: NDEFReader()
slug: Web/API/NDEFReader/NDEFReader
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{draft}}{{securecontext_header}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>NDEFReader()</code></strong> constructor of the <a href="/en-US/docs/Web/API/WebNFC_API">Web NFC API</a> returns a newly constructed {{DOMxRef("NDEFReader")}} object used to read NDEF messages from compatiable NFC devices, e.g. NDEF tags, within the reader's magnetic induction field.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>writer</em> = new NDEFReader();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A new {{DOMxRef("NDEFReader")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefreader">Web NFC, NDEFReader</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFReader.NDEFReader")}}</p>
